require 'fltk'

class MainWindow < Fltk::Window
	def initialize
		super(400,200,'Multi-Column ListBox')
		Fltk::Pack.new(w,h) do
			@list = Fltk::ListBox.new(w, 150)
			@list.column_widths([70,50])
			@list.column_labels(['Name','Score'])
		end
		
		@list.add("Mary\t25")
		@list.add("Joe\t23")
		@list.add("Robin\t19")
	end
	
end

MainWindow.new.show
Fltk::run
