require 'fltk'

class MyWindow < Fltk::Window
	def initialize
		super(400, 100, 'Box, Input and Button')
		Fltk::Box.new(0, 0, 200, 20, 'Enter some text:')
		
		@input = Fltk::Input.new(0, 20, 200, 20)
		@input.value('Initial Text')
		
		button = Fltk::Button.new(0, 40, 200, 20, 'Swap Case')
		button.callback do onSwapCase end
	end
	
	def onSwapCase
		@input.value(@input.value.swapcase)
	end
	
end

w = MyWindow.new
w.show
Fltk::run
